sc::BcastState(3)

NAME
sc::BcastState - This creates and forwards/retrieves data from either a BcastStateRecv or a BcastStateSend depending on the value of the argument to constructor.

SYNOPSIS

#include <mstate.h>

  Public Member Functions
BcastState (const Ref< MessageGrp > &, int source=0)
Create a BcastState object. The default source is node 0.
void bcast (int &)
Broadcast data to all nodes.
void bcast (double &)
void bcast (int *&, int)
void bcast (double *&, int)
template<class T> void bcast (Ref< T > &a)
void flush ()
Force data to be written.
void forget_references ()
Call the StateOut or StateIn forget_references member.
void set_buffer_size (int)
Controls the amount of data that is buffered before it is sent.

Detailed Description

This creates and forwards/retrieves data from either a BcastStateRecv or a BcastStateSend depending on the value of the argument to constructor.

Member Function Documentation

  void sc::BcastState::bcast (int &)

Broadcast data to all nodes.

After these are called for a group of data the flush member must be called to force the source node to actually write the data.

  void sc::BcastState::flush ()

Force data to be written.

Data is not otherwise written until the buffer is full.

  void sc::BcastState::forget_references ()

Call the StateOut or StateIn forget_references member.

Author

Generated automatically by Doxygen for MPQC from the source code.